package Controllers.Stock;

import Controllers.Traitement.Adaptateur;
import Models.User.User;
import java.net.URL;
import java.util.ResourceBundle;
import javafx.collections.ObservableList;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.TableColumn;
import javafx.scene.control.TableView;
import javafx.scene.control.cell.PropertyValueFactory;
import javafx.scene.text.Text;

/**
 * FXML Controller class
 * @author Maher
 */
public class BondeEnterPrintController implements Initializable {

    @FXML private Text TextLocale;
    @FXML private Text TextCode;
    @FXML private Text TextTitreBon; //Bon d'entrée pour | Bon de sortie à 
    @FXML private Text TextTypeSource; //Emetteur | Récepteur
    @FXML private Text TextValSource;
    
    @FXML private Text TextDate;
    @FXML private Text TextUser;
    @FXML private Text TextTransporteur;
    @FXML private Text TextPagination;
    
    @FXML private TableView<ListProduitBon> TableViewProduit ;
    @FXML private TableColumn<ListProduitBon, String> TabColReference;
    @FXML private TableColumn<ListProduitBon, String> TabColDesignation;
    @FXML private TableColumn<ListProduitBon ,String> TabColTVA;
    @FXML private TableColumn<ListProduitBon ,String> TabColTotalTTC;
    @FXML private TableColumn<ListProduitBon, String> TabColQuantite;
    
    
    /**
     * Initializes the controller class.
     */
    @Override
    public void initialize(URL url, ResourceBundle rb) {
        TabColReference.setCellValueFactory(new PropertyValueFactory<ListProduitBon, String>("reference"));
        TabColDesignation.setCellValueFactory(new PropertyValueFactory<ListProduitBon, String>("designaton"));
        TabColTVA.setCellValueFactory(new PropertyValueFactory<ListProduitBon, String>("tva"));
        TabColTVA.setStyle( "-fx-alignment: CENTER; -fx-font-weight:bold; -fx-font-size: 10pt;");
        TabColTVA.getStyleClass().add("Center");
        TabColTotalTTC.setCellValueFactory(new PropertyValueFactory<ListProduitBon, String>("prixttc"));
        TabColTotalTTC.setStyle( "-fx-alignment: CENTER; -fx-font-weight:bold; -fx-font-size: 10pt;");
        TabColTotalTTC.getStyleClass().add("Center");
        TabColQuantite.setCellValueFactory(new PropertyValueFactory<ListProduitBon, String>("quantite"));
        TabColQuantite.setStyle( "-fx-alignment: CENTER; -fx-font-weight:bold; -fx-font-size: 10pt;");
        TabColQuantite.getStyleClass().add("Center");
    }    
    
    public void setDataBonEnter(ObservableList<ListProduitBon> listProduits, String TitreBon, String Local, String TypeSource, String ValSource, String Code,  String Date, String Heur, String Transporteur, String Pagination){
        
        TableViewProduit.setItems(null);
        TableViewProduit.setItems(listProduits);
        
        TextTitreBon.setText(TitreBon);
        
        TextLocale.setText(Local);
        TextCode.setText(Code);
        TextTypeSource.setText(TypeSource);
        TextValSource.setText(ValSource);
        
        TextDate.setText(Adaptateur.NormalDateFormat(Date)+" "+Heur);
        TextUser.setText(User.nom+" "+User.prenom);
        TextTransporteur.setText(Transporteur);
        TextPagination.setText(Pagination);
    }   
    
}
